Bug 1729302 - Review Request: spamassassin-dqs - SpamAssassin plugin for Spamhaus Data Query Service (DQS)
Summary: Review Request: spamassassin-dqs - SpamAssassin plugin for Spamhaus Data Quer...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 20:37 UTC by Robert Scheck
Modified: 2019-07-23 05:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2019-07-11 20:37:11 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/spamassassin-dqs.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/spamassassin-dqs-1.0.3-1.src.rpm
Description: The Spamhaus Data Query Service (DQS) plugin for SpamAssassin enhances existing functions by checking HELO/EHLO, From, Reply-To, Envelope-From and Return-Path against Spamhaus DBL/ZRD blacklists. It also scans the e-mail body for e-mail addresses and performs blacklist lookups against the domains or its authoritative nameservers. Further checks cover the reverse DNS matches in DBL/ZRD blacklists or the SBL/CSS lookups for IP addresses or IP addresses of authoritative nameservers of domains being part of the e-mail body.
Fedora Account System Username: robert

Comment 1 Robert-André Mauchin 2019-07-13 19:03:46 UTC
 - The %{perl_vendorlib} macro is defined in the perl package, so you need it as a BR:

BuildRequires:  perl-interpreterensure

 - add a comment above the patch to explain its use:

# correct loadplugin configuration in /etc/mail/spamassassin/sh.pre by default
Patch0:         spamassassin-dqs-1.0.3-loadplugin.patch



Package approved. Please fix the aforementioned issues before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 6 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/spamassassin-dqs/review-
     spamassassin-dqs/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: spamassassin-dqs-1.0.3-1.fc31.noarch.rpm
          spamassassin-dqs-1.0.3-1.fc31.src.rpm
spamassassin-dqs.noarch: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
spamassassin-dqs.noarch: W: spelling-error %description -l en_US nameservers -> name servers, name-servers, timeservers
spamassassin-dqs.src: W: spelling-error %description -l en_US lookups -> lookup, lockups, hookups
spamassassin-dqs.src: W: spelling-error %description -l en_US nameservers -> name servers, name-servers, timeservers
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 2 Igor Gnatenko 2019-07-23 05:43:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/spamassassin-dqs


Note You need to log in before you can comment on or make changes to this bug.